diff options
author | Jan-Simon Moeller <jsmoeller@linuxfoundation.org> | 2022-06-14 16:06:30 +0000 |
---|---|---|
committer | Jan-Simon Moeller <jsmoeller@linuxfoundation.org> | 2022-06-15 15:46:41 +0000 |
commit | ccfac6e024b1404d9c9e59455bf58454533e8e51 (patch) | |
tree | 51331952fac48e0caee077356069b480b10a4fd4 /templates/feature/agl-voiceagent-alexa-wakeword/50_setup.sh | |
parent | 1f9f960298a6a2e6ae0360c4ef42e88c9678069a (diff) |
Feature cleanup for Nifty Needlefish
Remove features with upstream deprecated or unmaintained:
- meta-ros
- agl-service-alexa and the voiceagent service
Bug-AGL: SPEC-4407
Signed-off-by: Jan-Simon Moeller <jsmoeller@linuxfoundation.org>
Change-Id: I8a1e3886897af5b2cf591d0952b1feb980b8708e
Diffstat (limited to 'templates/feature/agl-voiceagent-alexa-wakeword/50_setup.sh')
-rw-r--r-- | templates/feature/agl-voiceagent-alexa-wakeword/50_setup.sh | 45 |
1 files changed, 0 insertions, 45 deletions
diff --git a/templates/feature/agl-voiceagent-alexa-wakeword/50_setup.sh b/templates/feature/agl-voiceagent-alexa-wakeword/50_setup.sh deleted file mode 100644 index 6e1d2503..00000000 --- a/templates/feature/agl-voiceagent-alexa-wakeword/50_setup.sh +++ /dev/null @@ -1,45 +0,0 @@ -# Install and patch Amazon Alexa Auto SDK "amazonlite" wakeword engine - -pushd $METADIR >/dev/null 2>&1 - -WAKEWORD_FEATURE_DIR="$METADIR/meta-agl-devel/templates/feature/agl-voiceagent-alexa-wakeword" -AMAZONLITE_VER="2.3" -AMAZONLITE_PATCH="${WAKEWORD_FEATURE_DIR}/amazonlite-${AMAZONLITE_VER}.patch" -AUTOSDK_EXTRAS_DIR="$METADIR/external/alexa-auto-sdk/extensions/extras" -AMAZONLITE_DIR="${AUTOSDK_EXTRAS_DIR}/amazonlite" - -if [ -f "${AMAZONLITE_DIR}/README.md" ]; then - ver=`grep '^Unzip the' "${AMAZONLITE_DIR}/README.md" | sed 's/.*amazonlite-\([0-9]\+\.[0-9]\+\)\.zip.*/\1/'` - if [ "$ver" != ${AMAZONLITE_VER} ]; then - echo "ERROR: ${AMAZONLITE_DIR} does not contain version ${AMAZONLITE_VER}!" >&2 - exit 1 - fi -fi - -test -f ${XDG_CONFIG_HOME:-~/.config}/user-dirs.dirs && source ${XDG_CONFIG_HOME:-~/.config}/user-dirs.dirs -DOWNLOAD_DIR=${XDG_DOWNLOAD_DIR:-$HOME/Downloads} - -if [ ! -f "${DOWNLOAD_DIR}/amazonlite-${AMAZONLITE_VER}.zip" ]; then - echo "ERROR: amazonlite-${AMAZONLITE_VER}.zip not found in ${DOWNLOAD_DIR}!" >&2 - exit 1 -elif [ ! -d "${AUTOSDK_EXTRAS_DIR}" ]; then - echo "ERROR: Directory ${AUTOSDK_EXTRAS_DIR} not present!" >&2 - exit 1 -fi -cd "${AUTOSDK_EXTRAS_DIR}" -if [ ! -d amazonlite ]; then - echo "Extracting ${DOWNLOAD_DIR}/amazonlite-${AMAZONLITE_VER}.zip" - unzip -q "${DOWNLOAD_DIR}/amazonlite-${AMAZONLITE_VER}.zip" || exit 1 - cd amazonlite - echo "Patching ${AMAZONLITE_DIR}" - patch -p0 < "${AMAZONLITE_PATCH}" -else - cat <<-EOF -The amazonlite ${AMAZONLITE_VER} wakeword engine is already installed. -To force reinstallation, manually remove the directory: - ${AMAZONLITE_DIR} - -EOF -fi - -popd >/dev/null 2>&1 |